### Function

# Gimp type_get_translation_context

#### Declaration [src]

    const gchar*
    gimp_type_get_translation_context (
      GType type
    )

#### Description [src]

Retrieves the translation context that has been previously set using gimp_type_set_translation_context(). You should not need to use this function directly, use `gimp_enum_get_value()` or `gimp_enum_value_get_desc()` instead.

Available since: | 2.8

#### Parameters

`type` | `GType`
| A `GType`.

#### Return value

Returns: | `const gchar*`
| The translation context associated with `type` or `NULL` if no context was set.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.